> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chataigne.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List catalogs



## OpenAPI

````yaml /api-reference/catalogs-v1.json get /v1/locations/{location_id}/catalogs
openapi: 3.0.0
info:
  title: Chataigne Catalogs API
  description: Synchronize complete catalogs or update individual catalog resources.
  version: '2026-05-01'
  contact: {}
servers:
  - url: https://server.chataigne.ai
security: []
tags: []
paths:
  /v1/locations/{location_id}/catalogs:
    get:
      tags:
        - Catalogs
      summary: List catalogs
      operationId: CatalogsV1Controller_list
      parameters:
        - name: location_id
          in: path
          required: true
          schema:
            type: string
          example: loc_r8v4n2c6tz
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          description: Page size (1–100).
        - name: starting_after
          in: query
          required: false
          schema:
            type: string
          description: 'Cursor: return results after this id.'
        - name: ending_before
          in: query
          required: false
          schema:
            type: string
          description: 'Cursor: return results before this id.'
      responses:
        '200':
          description: A paginated list of location catalogs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogList'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The principal is not allowed to perform this request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - organization-api-key: []
components:
  schemas:
    CatalogList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            $ref: '#/components/schemas/Catalog'
        has_more:
          type: boolean
        url:
          type: string
    Error:
      type: object
      properties:
        error:
          type: object
          required:
            - type
            - code
            - message
            - request_id
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - authorization_error
                - not_found_error
                - conflict_error
                - rate_limit_error
                - idempotency_error
                - api_error
            code:
              type: string
              example: resource_missing
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
              example: req_8f2c…
            details:
              type: object
              additionalProperties: true
    Catalog:
      type: object
      required:
        - id
        - object
        - name
        - created_at
        - updated_at
      properties:
        id:
          type: string
          example: delivery-menu
          description: >-
            Stable public id, unique only within this location. Existing POS or
            dashboard catalogs may use a provider or Chataigne-generated id.
        object:
          type: string
          enum:
            - catalog
        name:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    organization-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: Location/organization API key.

````